Package org.apache.qpid.proton.engine

# Class TransportResultFactory

java.lang.Object
org.apache.qpid.proton.engine.TransportResultFactory

public class TransportResultFactory extends Object
Creates TransportResults. Only intended for use by internal Proton classes. This class resides in the api module so it can be used by both proton-j-impl and proton-jni.

## Constructor Summary

Constructors
Constructor
Description
`TransportResultFactory()`

## Method Summary

Modifier and Type
Method
Description
`static TransportResult`
`error(Exception e)`
`static TransportResult`
`error(String errorDescription)`
`static TransportResult`
`error(String format, Object... args)`
`static TransportResult`
`ok()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransportResultFactory

public TransportResultFactory()

## Method Details

### ok

public static TransportResult ok()

### error

public static TransportResult error(String format, Object... args)

### error

public static TransportResult error(String errorDescription)

### error

public static TransportResult error(Exception e)